# SphinxClient::addQuery

(PECL sphinx >= 0.1.0)

SphinxClient::addQuery — Add query to multi-query batch

### Description

public SphinxClient::addQuery ( string `$query` [, string `$index` = "*" [, string `$comment` = "" ]] ) : int

Adds query with the current settings to multi-query batch. This method doesn't affect current settings (sorting, filtering, grouping etc.) in any way.

### Parameters

`query`

  Query string.

`index`

  An index name (or names).

`comment`

### Return Values

Returns an index in an array of results that will be returned by SphinxClient::runQueries call or false on error.

### See Also

- SphinxClient::runQueries
- SphinxClient::query